export const tailwindUiConfig: any = {
    colors: {
        baseColor: 'var(--base-color)',
        primaryColor: 'var(--primary-color)',
        primaryColorHover: 'var(--primary-color-hover)',
        primaryColorPressed: 'var(--primary-color-pressed)',
        primaryColorSuppl: 'var(--primary-color-suppl)',
        infoColor: 'var(--info-color)',
        infoColorHover: 'var(--info-color-hover)',
        infoColorPressed: 'var(--info-color-pressed)',
        infoColorSuppl: 'var(--info-color-suppl)',
        successColor: 'var(--success-color)',
        successColorHover: 'var(--success-color-hover)',
        successColorPressed: 'var(--success-color-pressed)',
        successColorSuppl: 'var(--success-color-suppl)',
        warningColor: 'var(--warning-color)',
        warningColorHover: 'var(--warning-color-hover)',
        warningColorPressed: 'var(--warning-color-pressed)',
        warningColorSuppl: 'var(--warning-color-suppl)',
        errorColor: 'var(--error-color)',
        errorColorHover: 'var(--error-color-hover)',
        errorColorPressed: 'var(--error-color-pressed)',
        errorColorSuppl: 'var(--error-color-suppl)',
        textColorBase: 'var(--text-color-base)',
        textColor1: 'var(--text-color-1)',
        textColor2: 'var(--text-color-2)',
        textColor3: 'var(--text-color-3)',
        textColorDisabled: 'var(--text-color-disabled)',
        placeholderColor: 'var(--placeholder-color)',
        placeholderColorDisabled: 'var(--placeholder-color-disabled)',
        iconColor: 'var(--icon-color)',
        iconColorHover: 'var(--icon-color-hover)',
        iconColorPressed: 'var(--icon-color-pressed)',
        iconColorDisabled: 'var(--icon-color-disabled)',
        dividerColor: 'var(--divider-color)',
        borderColor: 'var(--border-color)',
        closeIconColorHover: 'var(--close-icon-color-hover)',
        closeIconColor: 'var(--close-icon-color)',
        closeIconColorPressed: 'var(--close-icon-color-pressed)',
        closeColorHover: 'var(--close-color-hover)',
        closeColorPressed: 'var(--close-color-pressed)',
        clearColor: 'var(--clear-color)',
        clearColorHover: 'var(--clear-color-hover)',
        clearColorPressed: 'var(--clear-color-pressed)',
        scrollbarColor: 'var(--scrollbar-color)',
        scrollbarColorHover: 'var(--scrollbar-color-hover)',
        progressRailColor: 'var(--progress-rail-color)',
        railColor: 'var(--rail-color)',
        popoverColor: 'var(--popover-color)',
        tableColor: 'var(--table-color)',
        cardColor: 'var(--card-color)',
        modalColor: 'var(--modal-color)',
        bodyColor: 'var(--body-color)',
        tagColor: 'var(--tag-color)',
        avatarColor: 'var(--avatar-color)',
        invertedColor: 'var(--inverted-color)',
        inputColor: 'var(--input-color)',
        codeColor: 'var(--code-color)',
        tabColor: 'var(--tab-color)',
        actionColor: 'var(--action-color)',
        tableHeaderColor: 'var(--table-header-color)',
        hoverColor: 'var(--hover-color)',
        tableColorHover: 'var(--table-color-hover)',
        tableColorStriped: 'var(--table-color-striped)',
        pressedColor: 'var(--pressed-color)',
        opacityDisabled: 'var(--opacity-disabled)',
        inputColorDisabled: 'var(--input-color-disabled)',
        buttonColor2: 'var(--button-color2)',
        buttonColor2Hover: 'var(--button-color2-hover)',
        buttonColor2Pressed: 'var(--button-color2-pressed)'
    }
}
export const lightThemeConfig: any = {
    baseColor: '#FFF',
    primaryColor: '#18a058',
    primaryColorHover: '#36ad6a',
    primaryColorPressed: '#0c7a43',
    primaryColorSuppl: '#36ad6a',
    infoColor: '#2080f0',
    infoColorHover: '#4098fc',
    infoColorPressed: '#1060c9',
    infoColorSuppl: '#4098fc',
    successColor: '#18a058',
    successColorHover: '#36ad6a',
    successColorPressed: '#0c7a43',
    successColorSuppl: '#36ad6a',
    warningColor: '#f0a020',
    warningColorHover: '#fcb040',
    warningColorPressed: '#c97c10',
    warningColorSuppl: '#fcb040',
    errorColor: '#d03050',
    errorColorHover: '#de576d',
    errorColorPressed: '#ab1f3f',
    errorColorSuppl: '#de576d',
    textColorBase: '#000',
    textColor1: 'rgb(31, 34, 37)',
    textColor2: 'rgb(51, 54, 57)',
    textColor3: 'rgb(118, 124, 130)',
    textColorDisabled: 'rgba(194, 194, 194, 1)',
    placeholderColor: 'rgba(194, 194, 194, 1)',
    placeholderColorDisabled: 'rgba(209, 209, 209, 1)',
    iconColor: 'rgba(194, 194, 194, 1)',
    iconColorHover: 'rgba(146, 146, 146, 1)',
    iconColorPressed: 'rgba(175, 175, 175, 1)',
    iconColorDisabled: 'rgba(209, 209, 209, 1)',
    dividerColor: 'rgb(239, 239, 245)',
    borderColor: 'rgb(224, 224, 230)',
    closeIconColor: 'rgba(102, 102, 102, 1)',
    closeIconColorHover: 'rgba(102, 102, 102, 1)',
    closeIconColorPressed: 'rgba(102, 102, 102, 1)',
    closeColorHover: 'rgba(0, 0, 0, .09)',
    closeColorPressed: 'rgba(0, 0, 0, .13)',
    clearColor: 'rgba(194, 194, 194, 1)',
    clearColorHover: 'rgba(146, 146, 146, 1)',
    clearColorPressed: 'rgba(175, 175, 175, 1)',
    scrollbarColor: 'rgba(0, 0, 0, 0.25)',
    scrollbarColorHover: 'rgba(0, 0, 0, 0.4)',
    progressRailColor: 'rgba(235, 235, 235, 1)',
    railColor: 'rgb(219, 219, 223)',
    popoverColor: '#fff',
    tableColor: '#fff',
    cardColor: '#fff',
    modalColor: '#fff',
    bodyColor: '#fff',
    tagColor: '#eee',
    avatarColor: 'rgba(204, 204, 204, 1)',
    invertedColor: 'rgb(0, 20, 40)',
    inputColor: 'rgba(255, 255, 255, 1)',
    codeColor: 'rgb(244, 244, 248)',
    tabColor: 'rgb(247, 247, 250)',
    actionColor: 'rgb(250, 250, 252)',
    tableHeaderColor: 'rgb(250, 250, 252)',
    hoverColor: 'rgb(243, 243, 245)',
    tableColorHover: 'rgba(0, 0, 100, 0.03)',
    tableColorStriped: 'rgba(0, 0, 100, 0.02)',
    pressedColor: 'rgb(237, 237, 239)',
    opacityDisabled: '0.5',
    inputColorDisabled: 'rgb(250, 250, 252)',
    buttonColor2: 'rgba(46, 51, 56, .05)',
    buttonColor2Hover: 'rgba(46, 51, 56, .09)',
    buttonColor2Pressed: 'rgba(46, 51, 56, .13)'
}
export const darkThemeConfig: any = {
    baseColor: '#000',
    primaryColor: '#63e2b7',
    primaryColorHover: '#7fe7c4',
    primaryColorPressed: '#5acea7',
    primaryColorSuppl: 'rgb(42, 148, 125)',
    infoColor: '#70c0e8',
    infoColorHover: '#8acbec',
    infoColorPressed: '#66afd3',
    infoColorSuppl: 'rgb(56, 137, 197)',
    successColor: '#63e2b7',
    successColorHover: '#7fe7c4',
    successColorPressed: '#5acea7',
    successColorSuppl: 'rgb(42, 148, 125)',
    warningColor: '#f2c97d',
    warningColorHover: '#f5d599',
    warningColorPressed: '#e6c260',
    warningColorSuppl: 'rgb(240, 138, 0)',
    errorColor: '#e88080',
    errorColorHover: '#e98b8b',
    errorColorPressed: '#e57272',
    errorColorSuppl: 'rgb(208, 58, 82)',
    textColorBase: '#fff',
    textColor1: 'rgba(255, 255, 255, 0.9)',
    textColor2: 'rgba(255, 255, 255, 0.82)',
    textColor3: 'rgba(255, 255, 255, 0.52)',
    textColorDisabled: 'rgba(255, 255, 255, 0.38)',
    placeholderColor: 'rgba(255, 255, 255, 0.38)',
    placeholderColorDisabled: 'rgba(255, 255, 255, 0.28)',
    iconColor: 'rgba(255, 255, 255, 0.38)',
    iconColorDisabled: 'rgba(255, 255, 255, 0.28)',
    iconColorHover: 'rgba(255, 255, 255, 0.475)',
    iconColorPressed: 'rgba(255, 255, 255, 0.30400000000000005)',
    dividerColor: 'rgba(255, 255, 255, 0.09)',
    borderColor: 'rgba(255, 255, 255, 0.24)',
    closeIconColorHover: 'rgba(255, 255, 255, 0.52)',
    closeIconColor: 'rgba(255, 255, 255, 0.52)',
    closeIconColorPressed: 'rgba(255, 255, 255, 0.52)',
    closeColorHover: 'rgba(255, 255, 255, .12)',
    closeColorPressed: 'rgba(255, 255, 255, .08)',
    clearColor: 'rgba(255, 255, 255, 0.38)',
    clearColorHover: 'rgba(255, 255, 255, 0.48)',
    clearColorPressed: 'rgba(255, 255, 255, 0.3)',
    scrollbarColor: 'rgba(255, 255, 255, 0.2)',
    scrollbarColorHover: 'rgba(255, 255, 255, 0.3)',
    progressRailColor: 'rgba(255, 255, 255, 0.12)',
    railColor: 'rgba(255, 255, 255, 0.2)',
    popoverColor: 'rgb(72, 72, 78)',
    tableColor: 'rgb(24, 24, 28)',
    cardColor: 'rgb(24, 24, 28)',
    modalColor: 'rgb(44, 44, 50)',
    bodyColor: 'rgb(16, 16, 20)',
    tagColor: 'rgba(51, 51, 51, 1)',
    avatarColor: 'rgba(255, 255, 255, 0.18)',
    invertedColor: '#000',
    inputColor: 'rgba(255, 255, 255, 0.1)',
    codeColor: 'rgba(255, 255, 255, 0.12)',
    tabColor: 'rgba(255, 255, 255, 0.04)',
    actionColor: 'rgba(255, 255, 255, 0.06)',
    tableHeaderColor: 'rgba(255, 255, 255, 0.06)',
    hoverColor: 'rgba(255, 255, 255, 0.09)',
    tableColorHover: 'rgba(255, 255, 255, 0.06)',
    tableColorStriped: 'rgba(255, 255, 255, 0.05)',
    pressedColor: 'rgba(255, 255, 255, 0.05)',
    opacityDisabled: '0.38',
    inputColorDisabled: 'rgba(255, 255, 255, 0.06)',
    buttonColor2: 'rgba(255, 255, 255, .08)',
    buttonColor2Hover: 'rgba(255, 255, 255, .12)',
    buttonColor2Pressed: 'rgba(255, 255, 255, .08)'
}
